start project
    docker-compose up
   	docker-compose up --build
stop project
    docker-compose stop
    docker-compose down
kill project
    docker-compose kill
    docker-compose down --rm=all

mysql:
    login myapp
    pass myapp

docker bash:
    docker exec -it iq_php /bin/bash

Run test
    docker exec -it iq_php phpunit
    docker exec -it iq_php phpunit --coverage-html ./coverage


Problem private
    sudo chown -R $USER server

Barryvdh\Debugbar
    php artisan vendor:publish --provider="Barryvdh\Debugbar\ServiceProvider"

JWT
    php artisan vendor:publish --provider="PHPOpenSourceSaver\JWTAuth\Providers\LaravelServiceProvider"
    php artisan jwt:secret

Php Unit
    ./vendor/bin/phpunit tests --coverage-html storage/coverage - создать ссылку на index.html
    php artisan test
    phpunit --testdox
    phpunit --testdox --group integration

PhpStan - https://phpstan.org/
    ./vendor/bin/phpstan analyse app tests

PhpCS - https://github.com/squizlabs/PHP_CodeSniffer
    ./vendor/bin/phpcs
    ./vendor/bin/phpcbf
    ./vendor/bin/phpcs --standard=./phpcs.xml  $CHANGED_FILES_PHP - не использую
    ./vendor/bin/phpcs $CHANGED_FILES_PHP

    ./vendor/bin/phpcs --standard=./phpcs.xml app/*

LaraStan - https://github.com/nunomaduro/larastan
    ./vendor/bin/phpstan analyse --memory-limit=2G

Php Insights - https://phpinsights.com/
    php artisan vendor:publish --provider="NunoMaduro\PhpInsights\Application\Adapters\Laravel\InsightsServiceProvider"
    php artisan insights

Start project
    php artisan migrate
    php artisan db:seed

1 composer install
2 php artisan migrate
3 php artisan db:seed


серверр как делать зборку




APP_NAME=Laravel
APP_ENV=local
APP_KEY=base64:Ot6kOxk4Clie9/EXYiSm/iftmwlYNTXE78H+F0nkVUA=
APP_DEBUG=true
APP_URL=http://localhost:8048

LOG_CHANNEL=stack
LOG_DEPRECATIONS_CHANNEL=null
LOG_LEVEL=debug

DB_CONNECTION=mysql
DB_HOST=iq_mysql
DB_PORT=3306
DB_DATABASE=iq
DB_USERNAME=myapp
DB_PASSWORD=myapp

BROADCAST_DRIVER=log
CACHE_DRIVER=file
FILESYSTEM_DRIVER=local
QUEUE_CONNECTION=sync
SESSION_DRIVER=file
SESSION_LIFETIME=120

MEMCACHED_HOST=127.0.0.1

REDIS_HOST=127.0.0.1
REDIS_PASSWORD=null
REDIS_PORT=6379

MAIL_MAILER=smtp
MAIL_HOST=mailhog
MAIL_PORT=1025
MAIL_USERNAME=null
MAIL_PASSWORD=null
MAIL_ENCRYPTION=null
MAIL_FROM_ADDRESS=null
MAIL_FROM_NAME="${APP_NAME}"

AWS_ACCESS_KEY_ID=
AWS_SECRET_ACCESS_KEY=
AWS_DEFAULT_REGION=us-east-1
AWS_BUCKET=
AWS_USE_PATH_STYLE_ENDPOINT=false

PUSHER_APP_ID=
PUSHER_APP_KEY=
PUSHER_APP_SECRET=
PUSHER_APP_CLUSTER=mt1

MIX_PUSHER_APP_KEY="${PUSHER_APP_KEY}"
MIX_PUSHER_APP_CLUSTER="${PUSHER_APP_CLUSTER}"

JWT_SECRET=L2KwOiLW0KqlYdDgDaGdXYW0k5S6BujB5oBis8ejyr1IWhiQLh3R56GdqcgLcyUe

JWT_ALGO=HS256
JWT_SHOW_BLACKLIST_EXCEPTION=1


#!/bin/sh
CHANGED_FILES_PHP=$(git diff --cached --name-only --diff-filter=ACMR | grep ".php\$" | grep app )

if [ -z "$CHANGED_FILES_PHP" ]
then
    echo "No PHP files found. No reason to run checks."
    exit 0
else
    set -e

    if [ "$CHANGED_FILES_PHP" ]
    then
        ./vendor/bin/phpstan analyse --memory-limit=2G  $CHANGED_FILES_PHP
        if [ -z "$CHANGED_FILES_PHP" ]
        then
            black --check $CHANGED_FILES_PHP
        fi
    fi
fi

echo "All checks successfully passed."


composer require
composer require -dev
composer install
composer update
composer dump-autoload
composer dump-autoload -o

